package com.tofly.xrtygis.custom.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.xrtygis.entity.TfIndexAllocation;
import com.tofly.xrtygis.entity.dto.DmaTableDto;
import com.tofly.xrtygis.custom.entity.vo.QueryVo;
import com.tofly.xrtygis.entity.Dmatable;
import com.tofly.xrtygis.entity.Scadastaitem;
import com.tofly.xrtygis.entity.vo.DmatableVo;
import org.springframework.data.repository.query.Param;

import java.util.List;
import java.util.Map;

/**
 * @author 20126
 */
public interface CustomDmaTableMapper {


    boolean insertBindTable(@Param("tableId") Long tableId, @Param("itid") Long itid, @Param("type") String type);
    /**
     * 模糊查询配置表
     *
     * @param dto dto
     * @return list
     */
    Page<Map> fuzzyQuery(Page page,@Param("id") Long id,@Param("dto") String dto);

    List<Map> likeQuery(String dto);

    List<Map> useOrNot(@Param("tableName") String tableName, @Param("id") String id);

    Page<Map> getBindTableInfo(Page page, @Param("id") Long id);

    /**
     * 获取表信息
     * @return list
     */
    List<Map> getTableInfo();

    /**
     * 旧表数据
     */
    List<Map> oldTableData(@Param("id") Long id);

    /**
     * 历史流量
     */
    List<Map> historicalTraffic(@Param("id") Long id,@Param("start") String start,@Param("end") String end);

    Double avgFlow(@Param("id") Long id,@Param("start") String start,@Param("end") String end);

//    List<QueryVo> getAllMainDma();
//
//    List<QueryVo> getDmaChild(Long id);

//    Page<DmatableVo> getDmatablePage(Page page, @Param(value = "dmaTableDto") DmaTableDto dmaTableDto);

//    List<TfIndexAllocation> viewFlowIndexById(Long id);

//    List<Map<String,Object>> getDmaAllLevelCount();
}
